###############################################################################
##     .d88b                 8            w          .d88b. 88888    db      ##
##     8P    .d8b. 8d8b .d88 8 .d8b. .d88 w Yb dP    YPwww.   8     dPYb     ##
##     8b    8' .8 8    8  8 8 8' .8 8  8 8  `8.         d8   8    dPwwYb    ##
##     `Y88P `Y8P' 8    `Y88 8 `Y8P' `Y88 8 dP Yb    `Y88P'   8   dP    Yb   ##
##                                   wwdP                                    ##
###############################################################################

# ------------------------------------------ Coralogix Account -------------------------------------------
Coralogix-PrivateKey      = ""
Coralogix-CompanyID       = ""
Coralogix-ApplicationName = ""              # Logical name for the Coralogix account
Coralogix-Endpoint        = ""              # Can be either 'Europe', 'US', 'India, 'Europe2' or 'Singapore'

# ------------------------------------------ STA Instance ------------------------------------------------
STA-Public-Access                         = true
STA-Config-Cloud-Storage-Bucket           = ""              # Optional - Holds the STA configurations. Will be created automatically when not provided
STA-Packets-Cloud-Storage-Bucket-Required = false
STA-Packets-Cloud-Storage-Bucket          = ""
STA-Subnetwork-Mgmt                       = ""              # Optional - Subnetwork to host the management NIC to SSH the STA. will be created if left empty
STA-IP-CIDR-for-Mgmt-Nic                  = ""              # Optional - The CIDR address to use hen not providing 'STA-Subnetwork-Mgmt' - defaults to '172.30.0.0/24'
STA-Subnetwork-VxLanSniffing              = ""              # Optional - Subnetwork to host the VxSniffing NIC to SSH the STA. will be created if left empty
STA-IP-CIDR-for-VxSniffing-Nic            = ""              # Optional - The CIDR address to use hen not providing 'STA-Subnetwork-Mgmt' - defaults to '172.30.1.0/24'
STA-Subnetwork-RawSniffing                = ""
GCP-DiskSize                              = 250             # Can be either 250, 334, 500, 750, 1000 or 5334
Coralogix-CustomDomain                    = ""
STA-WazuhRequired                         = true
STA-Ingress-SSH-Address                   = ""


# ------------------------------------------ GCP Instance ------------------------------------------------
GCP-project                           = ""
GCP-Prefix                            = ""
GCP-region                            = "us-central1"
GCP-zone                              = "us-central1-a"
GCP-Machine-Type                      = "c3-highcpu-8"
## Custom machine values (Optional - overwrites the 'GCP-Machine-Type' variable)
GCP-Custom-Machine-Type-CPUs          = ""
GCP-Custom-Machine-Type-RAM           = ""
GCP-block-project-ssh-keys            = false
GCP-SSH-Key-Required                  = true
GPC-New-SSH-Public-Key-name           = ""
GPC-Existing-SSH-Public-Key-full-path = ""              # Optional - When want to use manually created SSH key. will be created if left empty and 'GCP-SSH-Key-Required' is set to true
GCP-Additional-Tags                   = {
  #  example-key = "example value"
}
